﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Diagrams.Extensions;

namespace DiagramWPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.toolbox.ItemsSource = new HierarchicalGalleryItemsCollection();
            EventManager.RegisterClassHandler(typeof(RadDiagramContainerShape), RadDiagramShape.DragOverEvent, new System.Windows.DragEventHandler(OnDragOver));
            EventManager.RegisterClassHandler(typeof(RadDiagramContainerShape), RadDiagramShape.DropEvent, new System.Windows.DragEventHandler(OnDrop));
        }

        private void OnDrop(object sender, DragEventArgs e)
        {
            // This event is fired on drop inside a container from the toolbox.
        }

        private void OnDragOver(object sender, DragEventArgs e)
        {
            // This event is fired on drag over container from the toolbox.
        }
    }
}
